//Source file: ConfCall.java
//Date: October 2006
//Conference Call Control for 3GPP TS 29.198-04-5 V1.0.0 (Release 7)

package org.csapi.jr.se.cc.cccs;

/**
 * This interface represents a ConfCall.<BR>
 *
 */
public interface ConfCall extends org.csapi.jr.se.Service {

    /**
     * Adds a ConfCallListener which is interested in events generated by the ConfCall.
     *
     * @param  confCallListener  A reference to the ConfCallListener which is to be added as
     *         a listener.
     */
    void addConfCallListener(org.csapi.jr.se.cc.cccs.ConfCallListener confCallListener);

    /**
     * Removes a ConfCallListener which is no longer interested in events generated by the ConfCall.
     *
     * @param  confCallListener  A reference to the ConfCallListener which is to be removed as
     *         a listener.
     */
    void removeConfCallListener(org.csapi.jr.se.cc.cccs.ConfCallListener confCallListener);

    /**
     * Returns a reference to the ConfCallControlManager responsible for creation of the ConfCall.
     *
     * @return  A reference to the ConfCallControlManager responsible for creation of the ConfCall.
     */
    org.csapi.jr.se.cc.cccs.ConfCallControlManager getConfCallControlManager();

    /**
     * Invokes the getSubConferences() method on the Parlay Gateway.
     */
    org.csapi.jr.se.cc.cccs.SubConfCall[] getSubConferences()
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Invokes the leaveMonitorReq() method on the Parlay Gateway.
     */
    void leaveMonitorReq()
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Invokes the getConferenceAddress() method on the Parlay Gateway.
     */
    org.csapi.jr.se.Address getConferenceAddress()
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Invokes the createSubConference() method on the Parlay Gateway and returns a reference to a transient interface.
     */
    org.csapi.jr.se.cc.cccs.SubConfCall createSubConference(
           org.csapi.jr.se.cc.cccs.ConfPolicy conferencePolicy)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

}
