//Source file: ConfCallControlManager.java
//Date: October 2006
//Conference Call Control for 3GPP TS 29.198-04-5 V1.0.0 (Release 7)

package org.csapi.jr.se.cc.cccs;

/**
 * This interface represents a ConfCallControlManager.<BR>
 *
 */
public interface ConfCallControlManager extends org.csapi.jr.se.Service {

    /**
     * Adds a ConfCallControlManagerListener which is interested in events generated by the ConfCallControlManager.
     *
     * @param  confCallControlManagerListener  A reference to the ConfCallControlManagerListener which is to be added as
     *         a listener.
     */
    void addConfCallControlManagerListener(org.csapi.jr.se.cc.cccs.ConfCallControlManagerListener confCallControlManagerListener);

    /**
     * Removes a ConfCallControlManagerListener which is no longer interested in events generated by the ConfCallControlManager.
     *
     * @param  confCallControlManagerListener  A reference to the ConfCallControlManagerListener which is to be removed as
     *         a listener.
     */
    void removeConfCallControlManagerListener(org.csapi.jr.se.cc.cccs.ConfCallControlManagerListener confCallControlManagerListener);

    /**
     * Invokes the checkResources() method on the Parlay Gateway.
     */
    org.csapi.jr.se.cc.cccs.ConfSearchResult checkResources(
           org.csapi.jr.se.cc.cccs.ConfSearchCriteria searchCriteria)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Invokes the reserveResources() method on the Parlay Gateway.
     */
    org.csapi.jr.se.cc.cccs.ResourceReservation reserveResources(
           java.lang.String                startTime,
           int                             numberOfParticipants,
           int                             duration,
           org.csapi.jr.se.cc.cccs.ConfPolicy conferencePolicy)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Invokes the freeResources() method on the Parlay Gateway.
     */
    void freeResources(
           org.csapi.jr.se.cc.cccs.ResourceReservation resourceReservation)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

    /**
     * Invokes the createConference() method on the Parlay Gateway and returns a reference to a transient interface.
     */
    org.csapi.jr.se.cc.cccs.ConfCall createConference(
           int                             numberOfSubConferences,
           org.csapi.jr.se.cc.cccs.ConfPolicy conferencePolicy,
           int                             numberOfParticipants,
           int                             duration)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException;

}
