//Source file: ConfCallListener.java
//Date: October 2006
//Conference Call Control for 3GPP TS 29.198-04-5 V1.0.0 (Release 7)

package org.csapi.jr.se.cc.cccs;

/**
 * This interface is to be implemented for receiving events issued by the ConfCall service object.<BR>
 *
 */
public interface ConfCallListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the partyJoined() method on 
    * the callback interface.
    *
    * @param  partyJoinedEvent  Reference to a PartyJoinedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onPartyJoinedEvent(org.csapi.jr.se.cc.cccs.PartyJoinedEvent partyJoinedEvent);


   /**
    * Called due to a Gateway initiated call to the leaveMonitorRes() method on 
    * the callback interface.
    *
    * @param  leaveMonitorResEvent  Reference to a LeaveMonitorResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onLeaveMonitorResEvent(org.csapi.jr.se.cc.cccs.LeaveMonitorResEvent leaveMonitorResEvent);

}

