//Source file: ConfPolicy.java
//Date: October 2006
//Conference Call Control for 3GPP TS 29.198-04-5 V1.0.0 (Release 7)

package org.csapi.jr.se.cc.cccs;

/**
 * Defines the Tagged Choice of Data Elements that specify the policy that needs adhered to by the conference.
 *
 */
public final class ConfPolicy implements java.io.Serializable {

    private ConfPolicyType _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new ConfPolicy.
     * Tagged choice of data elements always have empty constructors
     */ 
    public ConfPolicy() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a ConfPolicyType value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public ConfPolicyType getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a MonoMedia
     * 
     * @return  a org.csapi.jr.se.cc.cccs.MonoMediaConfPolicy value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.cc.cccs.MonoMediaConfPolicy getMonoMedia() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != ConfPolicyType.CONFERENCE_POLICY_MONOMEDIA) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.cc.cccs.MonoMediaConfPolicy) _object);
    }

    /**
     * This method sets a MonoMedia
     * 
     * @param value a org.csapi.jr.se.cc.cccs.MonoMediaConfPolicy value
     */
    public void setMonoMedia(org.csapi.jr.se.cc.cccs.MonoMediaConfPolicy value) {
        _discriminator = ConfPolicyType.CONFERENCE_POLICY_MONOMEDIA;
        _object = value;
    }

    /**
     * This method returns a MultiMedia
     * 
     * @return  a org.csapi.jr.se.cc.cccs.MultiMediaConfPolicy value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public org.csapi.jr.se.cc.cccs.MultiMediaConfPolicy getMultiMedia() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != ConfPolicyType.CONFERENCE_POLICY_MULTIMEDIA) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return ((org.csapi.jr.se.cc.cccs.MultiMediaConfPolicy) _object);
    }

    /**
     * This method sets a MultiMedia
     * 
     * @param value a org.csapi.jr.se.cc.cccs.MultiMediaConfPolicy value
     */
    public void setMultiMedia(org.csapi.jr.se.cc.cccs.MultiMediaConfPolicy value) {
        _discriminator = ConfPolicyType.CONFERENCE_POLICY_MULTIMEDIA;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a ConfPolicyType value 
     */ 
    public void setUndefined(ConfPolicyType discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof ConfPolicy)) {
            return false;
        } else {
            ConfPolicy confPolicy= (ConfPolicy)o;
            if(!(this._object.equals(confPolicy._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(confPolicy._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // ConfPolicy

