//Source file: ConfSearchCriteria.java
//Date: October 2006
//Conference Call Control for 3GPP TS 29.198-04-5 V1.0.0 (Release 7)

package org.csapi.jr.se.cc.cccs;

/**
 * Defines the Sequence of Data Elements that specify the criteria for doing a search for available conference resources.
 * 
 */
public final class ConfSearchCriteria implements java.io.Serializable {

    private String startSearch;
    private String stopSearch;
    private int requestedResources;
    private int requestedDuration;

    /**
     * Creates a new ConfSearchCriteria instance.
     */
    public ConfSearchCriteria () {}

    /**
     * Creates a new ConfSearchCriteria instance.
     * @param _startSearch   
     * @param _stopSearch   
     * @param _requestedResources   
     * @param _requestedDuration   
     */
    public ConfSearchCriteria (String _startSearch, String _stopSearch, int _requestedResources, int _requestedDuration) {

        this.startSearch = _startSearch;
        this.stopSearch = _stopSearch;
        this.requestedResources = _requestedResources;
        this.requestedDuration = _requestedDuration;
    }

    /**
     * This method returns a startSearch.
     * 
     * @return a String value
     */
    public String getStartSearch() {
        return startSearch;
    }

    /**
     * This method returns a stopSearch.
     * 
     * @return a String value
     */
    public String getStopSearch() {
        return stopSearch;
    }

    /**
     * This method returns a requestedResources.
     * 
     * @return a int value
     */
    public int getRequestedResources() {
        return requestedResources;
    }

    /**
     * This method returns a requestedDuration.
     * 
     * @return a int value
     */
    public int getRequestedDuration() {
        return requestedDuration;
    }


    /**
     * This method sets a startSearch.
     */ 
    public void setStartSearch(String startSearch) {
        this.startSearch = startSearch;
    }

    /**
     * This method sets a stopSearch.
     */ 
    public void setStopSearch(String stopSearch) {
        this.stopSearch = stopSearch;
    }

    /**
     * This method sets a requestedResources.
     */ 
    public void setRequestedResources(int requestedResources) {
        this.requestedResources = requestedResources;
    }

    /**
     * This method sets a requestedDuration.
     */ 
    public void setRequestedDuration(int requestedDuration) {
        this.requestedDuration = requestedDuration;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof ConfSearchCriteria)) {
            return false;
        } 
        ConfSearchCriteria confSearchCriteria = (ConfSearchCriteria) o;
        if(!(this.startSearch == confSearchCriteria.startSearch))  {
            return false;
        }
        if(!(this.stopSearch == confSearchCriteria.stopSearch))  {
            return false;
        }
        if(!(this.requestedResources == confSearchCriteria.requestedResources)) {
            return false;
        }
        if(!(this.requestedDuration == confSearchCriteria.requestedDuration)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // ConfSearchCriteria

