//Source file: ConferenceCreatedEvent.java
//Date: October 2006
//Conference Call Control for 3GPP TS 29.198-04-5 V1.0.0 (Release 7)

package org.csapi.jr.se.cc.cccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the conferenceCreated() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class ConferenceCreatedEvent extends java.util.EventObject {

    /**
     * Constructor for the ConferenceCreatedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public ConferenceCreatedEvent(java.lang.Object source,
        org.csapi.jr.se.cc.cccs.ConfCall interfaceRef) {

        super(source);
        this.confCall = interfaceRef;
 
    }

    org.csapi.jr.se.cc.cccs.ConfCall confCall = null;

    /**
     *  This method is used to retrieve the ConfCall, associated with this event.
     *
     * @return    The ConfCall associated with this event.<BR>
     *
     */
    public org.csapi.jr.se.cc.cccs.ConfCall getConfCall() {

        return this.confCall;
    }

}

