//Source file: JoinEventInfo.java
//Date: October 2006
//Conference Call Control for 3GPP TS 29.198-04-5 V1.0.0 (Release 7)

package org.csapi.jr.se.cc.cccs;

/**
 * Defines the Sequence of Data Elements that specify the information returned to the application in a Join event notification.
 * 
 */
public final class JoinEventInfo implements java.io.Serializable {

    private org.csapi.jr.se.Address destinationAddress;
    private org.csapi.jr.se.Address originatingAddress;
    private org.csapi.jr.se.cc.CallAppInfo[] callAppInfo;

    /**
     * Creates a new JoinEventInfo instance.
     */
    public JoinEventInfo () {}

    /**
     * Creates a new JoinEventInfo instance.
     * @param _destinationAddress   
     * @param _originatingAddress   
     * @param _callAppInfo   
     */
    public JoinEventInfo (org.csapi.jr.se.Address _destinationAddress, org.csapi.jr.se.Address _originatingAddress, org.csapi.jr.se.cc.CallAppInfo[] _callAppInfo) {

        this.destinationAddress = _destinationAddress;
        this.originatingAddress = _originatingAddress;
        this.callAppInfo = _callAppInfo;
    }

    /**
     * This method returns a destinationAddress.
     * 
     * @return a org.csapi.jr.se.Address value
     */
    public org.csapi.jr.se.Address getDestinationAddress() {
        return destinationAddress;
    }

    /**
     * This method returns a originatingAddress.
     * 
     * @return a org.csapi.jr.se.Address value
     */
    public org.csapi.jr.se.Address getOriginatingAddress() {
        return originatingAddress;
    }

    /**
     * This method returns a callAppInfo.
     * 
     * @return a org.csapi.jr.se.cc.CallAppInfo[] value
     */
    public org.csapi.jr.se.cc.CallAppInfo[] getCallAppInfo() {
        return callAppInfo;
    }


    /**
     * This method sets a destinationAddress.
     */ 
    public void setDestinationAddress(org.csapi.jr.se.Address destinationAddress) {
        this.destinationAddress = destinationAddress;
    }

    /**
     * This method sets a originatingAddress.
     */ 
    public void setOriginatingAddress(org.csapi.jr.se.Address originatingAddress) {
        this.originatingAddress = originatingAddress;
    }

    /**
     * This method sets a callAppInfo.
     */ 
    public void setCallAppInfo(org.csapi.jr.se.cc.CallAppInfo[] callAppInfo) {
        this.callAppInfo = callAppInfo;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof JoinEventInfo)) {
            return false;
        } 
        JoinEventInfo joinEventInfo = (JoinEventInfo) o;
        if ((this.destinationAddress != null) && (joinEventInfo.destinationAddress != null)) {
            if(!(this.destinationAddress.equals(joinEventInfo.destinationAddress))) {
                return false;
            }
        }
        if ((this.originatingAddress != null) && (joinEventInfo.originatingAddress != null)) {
            if(!(this.originatingAddress.equals(joinEventInfo.originatingAddress))) {
                return false;
            }
        }
        if(!(this.callAppInfo == joinEventInfo.callAppInfo))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // JoinEventInfo

