//Source file: PartyJoinedEvent.java
//Date: October 2006
//Conference Call Control for 3GPP TS 29.198-04-5 V1.0.0 (Release 7)

package org.csapi.jr.se.cc.cccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the partyJoined() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class PartyJoinedEvent extends java.util.EventObject {

    /**
     * Constructor for the PartyJoinedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public PartyJoinedEvent(java.lang.Object source,
        org.csapi.jr.se.cc.mpccs.CallLeg interfaceRef,
        org.csapi.jr.se.cc.cccs.JoinEventInfo eventInfo) {

        super(source);
        this.callLeg = interfaceRef;
      this.eventInfo = eventInfo;
 
    }

    org.csapi.jr.se.cc.mpccs.CallLeg callLeg = null;

    /**
     *  This method is used to retrieve the CallLeg, associated with this event.
     *
     * @return    The CallLeg associated with this event.<BR>
     *
     */
    public org.csapi.jr.se.cc.mpccs.CallLeg getCallLeg() {

        return this.callLeg;
    }

    org.csapi.jr.se.cc.cccs.JoinEventInfo eventInfo;

    /**
     *  This method is used to retrieve the parameter value of 'eventInfo' passed up
     *  from the Gateway in it's call to the partyJoined() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'eventInfo' used on creation of this event.
     */
    public org.csapi.jr.se.cc.cccs.JoinEventInfo getEventInfo() {

        return this.eventInfo;
    }
       
}

