//Source file: ResourceReservation.java
//Date: October 2006
//Conference Call Control for 3GPP TS 29.198-04-5 V1.0.0 (Release 7)

package org.csapi.jr.se.cc.cccs;

/**
 * Defines the Sequence of Data Elements that specifies the result of a search for available conference resources.
 * 
 */
public final class ResourceReservation implements java.io.Serializable {

    private org.csapi.jr.se.Address resourceID;
    private int reservationID;

    /**
     * Creates a new ResourceReservation instance.
     */
    public ResourceReservation () {}

    /**
     * Creates a new ResourceReservation instance.
     * @param _resourceID   The address with which the conference can be addressed
     * @param _reservationID   Specifies the reservation made. It should be unique in a particular resource
     */
    public ResourceReservation (org.csapi.jr.se.Address _resourceID, int _reservationID) {

        this.resourceID = _resourceID;
        this.reservationID = _reservationID;
    }

    /**
     * This method returns a resourceID.
     * 
     * @return a org.csapi.jr.se.Address value
     */
    public org.csapi.jr.se.Address getResourceID() {
        return resourceID;
    }

    /**
     * This method returns a reservationID.
     * 
     * @return a int value
     */
    public int getReservationID() {
        return reservationID;
    }


    /**
     * This method sets a resourceID.
     */ 
    public void setResourceID(org.csapi.jr.se.Address resourceID) {
        this.resourceID = resourceID;
    }

    /**
     * This method sets a reservationID.
     */ 
    public void setReservationID(int reservationID) {
        this.reservationID = reservationID;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof ResourceReservation)) {
            return false;
        } 
        ResourceReservation resourceReservation = (ResourceReservation) o;
        if ((this.resourceID != null) && (resourceReservation.resourceID != null)) {
            if(!(this.resourceID.equals(resourceReservation.resourceID))) {
                return false;
            }
        }
        if(!(this.reservationID == resourceReservation.reservationID)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // ResourceReservation

