//Source file: SubConfCallListener.java
//Date: October 2006
//Conference Call Control for 3GPP TS 29.198-04-5 V1.0.0 (Release 7)

package org.csapi.jr.se.cc.cccs;

/**
 * This interface is to be implemented for receiving events issued by the SubConfCall service object.<BR>
 *
 */
public interface SubConfCallListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the chairSelection() method on 
    * the callback interface.
    *
    * @param  chairSelectionEvent  Reference to a ChairSelectionEvent event 
    *        emmited from the impl or activity object. 
    */
    void onChairSelectionEvent(org.csapi.jr.se.cc.cccs.ChairSelectionEvent chairSelectionEvent);


   /**
    * Called due to a Gateway initiated call to the floorRequest() method on 
    * the callback interface.
    *
    * @param  floorRequestEvent  Reference to a FloorRequestEvent event 
    *        emmited from the impl or activity object. 
    */
    void onFloorRequestEvent(org.csapi.jr.se.cc.cccs.FloorRequestEvent floorRequestEvent);

}

